/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Model268
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model268 {
  @SerializedName("policy_number")
  private String policyNumber = null;

  @SerializedName("external_policy_number")
  private String externalPolicyNumber = null;

  @SerializedName("status")
  private Status status = null;

  @SerializedName("subscription_country")
  private String subscriptionCountry = null;

  @SerializedName("payment")
  private Payment payment = null;

  @SerializedName("attachments")
  private Model164 attachments = null;

  public Model268 policyNumber(String policyNumber) {
    this.policyNumber = policyNumber;
    return this;
  }

   /**
   * Final policy number.
   * @return policyNumber
  **/
  @ApiModelProperty(required = true, value = "Final policy number.")
  public String getPolicyNumber() {
    return policyNumber;
  }

  public void setPolicyNumber(String policyNumber) {
    this.policyNumber = policyNumber;
  }

  public Model268 externalPolicyNumber(String externalPolicyNumber) {
    this.externalPolicyNumber = externalPolicyNumber;
    return this;
  }

   /**
   * External policy identifier that can be provided by the partner.
   * @return externalPolicyNumber
  **/
  @ApiModelProperty(value = "External policy identifier that can be provided by the partner.")
  public String getExternalPolicyNumber() {
    return externalPolicyNumber;
  }

  public void setExternalPolicyNumber(String externalPolicyNumber) {
    this.externalPolicyNumber = externalPolicyNumber;
  }

  public Model268 status(Status status) {
    this.status = status;
    return this;
  }

   /**
   * Get status
   * @return status
  **/
  @ApiModelProperty(required = true, value = "")
  public Status getStatus() {
    return status;
  }

  public void setStatus(Status status) {
    this.status = status;
  }

  public Model268 subscriptionCountry(String subscriptionCountry) {
    this.subscriptionCountry = subscriptionCountry;
    return this;
  }

   /**
   * Country where the customer subscribes the policy, ISO-3166-1 alpha-2 format (2 letter codes).
   * @return subscriptionCountry
  **/
  @ApiModelProperty(example = "fr", value = "Country where the customer subscribes the policy, ISO-3166-1 alpha-2 format (2 letter codes).")
  public String getSubscriptionCountry() {
    return subscriptionCountry;
  }

  public void setSubscriptionCountry(String subscriptionCountry) {
    this.subscriptionCountry = subscriptionCountry;
  }

  public Model268 payment(Payment payment) {
    this.payment = payment;
    return this;
  }

   /**
   * Get payment
   * @return payment
  **/
  @ApiModelProperty(value = "")
  public Payment getPayment() {
    return payment;
  }

  public void setPayment(Payment payment) {
    this.payment = payment;
  }

  public Model268 attachments(Model164 attachments) {
    this.attachments = attachments;
    return this;
  }

   /**
   * Get attachments
   * @return attachments
  **/
  @ApiModelProperty(required = true, value = "")
  public Model164 getAttachments() {
    return attachments;
  }

  public void setAttachments(Model164 attachments) {
    this.attachments = attachments;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model268 model268 = (Model268) o;
    return Objects.equals(this.policyNumber, model268.policyNumber) &&
        Objects.equals(this.externalPolicyNumber, model268.externalPolicyNumber) &&
        Objects.equals(this.status, model268.status) &&
        Objects.equals(this.subscriptionCountry, model268.subscriptionCountry) &&
        Objects.equals(this.payment, model268.payment) &&
        Objects.equals(this.attachments, model268.attachments);
  }

  @Override
  public int hashCode() {
    return Objects.hash(policyNumber, externalPolicyNumber, status, subscriptionCountry, payment, attachments);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model268 {\n");
    
    sb.append("    policyNumber: ").append(toIndentedString(policyNumber)).append("\n");
    sb.append("    externalPolicyNumber: ").append(toIndentedString(externalPolicyNumber)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    subscriptionCountry: ").append(toIndentedString(subscriptionCountry)).append("\n");
    sb.append("    payment: ").append(toIndentedString(payment)).append("\n");
    sb.append("    attachments: ").append(toIndentedString(attachments)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

